package org.alfresco.bm.publicapi;


/**
 * Utility class to find nodes matching a specific pattern given some input nodes.
 * 
 * @author steveglover
 *
 */
public class NodeFinder
{
//    private static Random random = new Random();
//    
//    private PublicApiFactory publicApiFactory;
//    
//    private NodeFinder(PublicApiFactory publicApiFactory)
//	{
//		super();
//		this.publicApiFactory = publicApiFactory;
//	}
//
//	protected Alfresco getPublicApi(String userId) throws Exception
//    {
//        Alfresco alfresco = publicApiFactory.getPublicApi(userId);
//        return alfresco;
//    }
//
//    public DocumentNode findDocumentNode(Request request, List<?> list, NodeMatcher nodeMatcher)
//    {
//    	DocumentNode ret = null;
//        int size = list.size();
//
//        if(size > 0)
//        {
//            int index = random.nextInt(size);
//            int count = 0;
//
//            while(true)
//            {
//                Object obj = list.get(index);
//                if(obj instanceof DocumentNode && nodeMatcher.matches(request, (DocumentNode)obj))
//                {
//                	ret = (DocumentNode)obj;
//                    break;
//                }
//                index++;
//                count++;
//                if(count > size)
//                {
//                    break;
//                }
//                if(index >= size)
//                {
//                    index = 0;
//                }
//            }
//        }
//
//        return ret;
//    }
//    
//    public DocumentNode findDocumentNode(Request request, AlfrescoList<?> nodes, NodeMatcher nodeMatcher)
//    {
//        ArrayList<?> list = nodes.getEntries();
//        return findDocumentNode(request, list, nodeMatcher);
//    }
//    
//    public FolderNode findFolderNode(Request request, AlfrescoList<?> alfrescoList, NodeMatcher nodeMatcher) throws Exception
//    {
//        ArrayList<?> list = alfrescoList.getEntries();
//        return findFolderNode(request, list, nodeMatcher);
//    }
//
//    @SuppressWarnings("rawtypes")
//    public FolderNode findFolderNode(Request request, Object data, NodeMatcher nodeMatcher) throws Exception
//    {
//        FolderNode folder = null;
//
//        if(data == null)
//        {
//            return null;
//        }
//        else if(data instanceof FolderNode)
//        {
//            FolderNode f = (FolderNode)data;
//            // randomly select a folder node
//            folder = f.selectRandomFolderNode(request, nodeMatcher);
//        }
//        else if(data instanceof Site)
//        {
//        	Site site = (Site)data;
//        	AlfrescoList<Container> containersList = site.getContainers();
//        	if(containersList != null)
//        	{
//        		ArrayList<Container> containers = containersList.getEntries();
//        		int size = containers.size();
//        		if(size > 0)
//        		{
//                    int index = random.nextInt(size);
//                    int count = 0;
//
//                    while(true)
//                    {
//                        Container container = containers.get(index);
//                        String folderId = container.getId();
//    		            FolderNode folderNode = new FolderNode();
//    		            folderNode.setNodeId(folderId);
//                        if(nodeMatcher.matches(request, folderNode))
//                        {
//        		            folder = folderNode;
//                            break;
//                        }
//                        index++;
//                        count++;
//                        if(count > size)
//                        {
//                            break;
//                        }
//                        if(index >= size)
//                        {
//                            index = 0;
//                        }
//                    }
//        		}
//        	}
//        }
//        else if(data instanceof AlfrescoList)
//        {
//            AlfrescoList alfrescoList = (AlfrescoList)data;
//            return findFolderNode(request, alfrescoList, nodeMatcher);
//        }
//        else if(data instanceof List)
//        {
//            List list = (List)data;
//            return findFolderNode(request, list, nodeMatcher);
//        }
//        else if(data instanceof NodesContainer)
//        {
//            NodesContainer container = (NodesContainer)data;
//            FolderNode fn = container.findFolderNode(request, nodeMatcher);
//            if(fn == null)
//            {
//                // no folders in results, randomly select a document and use its parent
//                Node doc = container.findDocumentNode(request, nodeMatcher);
//                if(doc != null)
//                {
//                    String folderId = (String)doc.getProperty(PropertyIds.PARENT_ID);
//                    if(folderId == null)
//                    {
//                    	List<FolderNode> parents = doc.getParents();
//                    	if(parents != null && parents.size() > 0)
//                    	{
//                    		folder = parents.get(0); // index 0 is primary parent
//                        	if(folder == null)
//                        	{
//                        		if(parents.size() > 1)
//                        		{
//	                        		int index = 1 + random.nextInt(parents.size() - 1);
//	                        		folder = parents.get(index);
//                        		}
//                        	}
//                    	}
//                    }
//                    else
//                    {
//                    	// TODO the folder won't have allowableActions, making it difficult to choose successor events
//                    	folder = new FolderNode();
//                    	folder.setNodeId(folderId);
//                    }
//                }
//            }
//            else
//            {
//                folder = fn;
//            }
//        }
//        else if(data instanceof DocumentNode)
//        {
//            DocumentNode doc = (DocumentNode)data;
//            String folderId = (String)doc.getProperty(PropertyIds.PARENT_ID);
//            if(folderId == null)
//            {
//            	List<FolderNode> parents = doc.getParents();
//            	if(parents != null && parents.size() > 0)
//            	{
//            		folder = parents.get(0); // index 0 is primary parent
//                	if(folder == null)
//                	{
//                		if(parents.size() > 1)
//                		{
//                    		int index = 1 + random.nextInt(parents.size() - 1);
//                    		folder = parents.get(index);
//                		}
//                	}
//            	}
//            }
//            else
//            {
//            	// TODO the folder won't have allowableActions, making it difficult to choose successor events
//            	folder = new FolderNode();
//            	folder.setNodeId(folderId);
//            }
//        }
//        else if(data instanceof Comment)
//        {
//        	// we have a comment, and can get the node id against which the comment was created
//        	String runAsUserId = request.getRunAsUserId();
//        	String networkId = request.getNetworkId();
//        	
//        	Comment comment = (Comment)data;
//        	String nodeId = comment.getNodeId();
//        	Session cmisSession = getPublicApi(runAsUserId).getCMISSession(networkId);
//        	CmisObject cmisObject = cmisSession.getObject(nodeId);
//        	if(cmisObject != null)
//        	{
//        		Node commentedNode = Node.createNode(cmisObject);
//        		if(commentedNode instanceof FolderNode && nodeMatcher.matches(request, commentedNode))
//        		{
//        			folder = (FolderNode)commentedNode;
//        		}
//        	}
//        }
//        else
//        {
//            throw new IllegalArgumentException("Couldn't get folder from input " + data + ", previous request is " + request);
//        }
//
//        if(folder != null && folder.getNodeId() == null)
//        {
//            throw new RuntimeException("Node id is null for " + folder);
//        }
//
//        return folder;
//    }
//    
//    public FolderNode findFolderNode(Request request, List<?> list, NodeMatcher nodeMatcher) throws Exception
//    {
//    	FolderNode ret = null;
//        int size = list.size();
//
//        if(size > 0)
//        {
//            int index = random.nextInt(size);
//            int count = 0;
//
//            while(true)
//            {
//            	Object obj = list.get(index);
//            	ret = findFolderNode(request, obj, nodeMatcher);
////                if(obj instanceof FolderNode && nodeMatcher.matches(request, (FolderNode)obj))
////                {
////                	ret = (FolderNode)obj;
////                    break;
////                }
//                index++;
//                count++;
//                if(count > size)
//                {
//                    break;
//                }
//                if(index >= size)
//                {
//                    index = 0;
//                }
//            }
//        }            
//
//        return ret;
//    }
//
//    @SuppressWarnings("rawtypes")
//	public Node findNode(Request request, Object input, NodeMatcher nodeMatcher) throws Exception
//    {
//        Node node = null;
//
//        if(input == null)
//        {
//            return null;
//        }
//        else if(input instanceof Node)
//        {
//            if(nodeMatcher.matches(request, (Node)input))
//            {
//                node = (Node)input;                
//            }
//        }
//        else if(input instanceof AlfrescoList)
//        {
//            AlfrescoList alfrescoList = (AlfrescoList)input;
//            return findNode(request, alfrescoList, nodeMatcher);
//        }
//        else if(input instanceof List)
//        {
//            List list = (List)input;
//            return findNode(request, list, nodeMatcher);
//        }
//        else if(input instanceof NodesContainer)
//        {
//            NodesContainer container = (NodesContainer)input;
//            node = container.findNode(request, nodeMatcher);
//        }
//        else
//        {
//            throw new IllegalArgumentException("Cannot get node for input " + input + " of type " + input.getClass().getName());
//        }
//
//        return node;
//    }
//
//    public Node findNode(Request request, AlfrescoList<?> alfrescoList, NodeMatcher nodeMatcher) throws Exception
//    {
//        ArrayList<?> list = alfrescoList.getEntries();
//        return findNode(request, list, nodeMatcher);
//    }
//    
//    public Node findNode(Request request, List<?> list, NodeMatcher nodeMatcher) throws Exception
//    {
//        Node ret = null;
//        int size = list.size();
//        
//        if(size > 0)
//        {
//            int index = random.nextInt(size);
//            int count = 0;
//    
//            while(true)
//            {
//                Object obj = list.get(index);
//            	ret = findNode(request, obj, nodeMatcher);
////                if(obj instanceof Node && nodeMatcher.matches(request, (Node)obj))
////                {
////                	ret = (Node)obj;
////                    break;
////                }
//                index++;
//                count++;
//                if(count > size)
//                {
//                    break;
//                }
//                if(index >= size)
//                {
//                    index = 0;
//                }
//            }
//        }
//
//        return ret;
//    }
}
