package org.alfresco.bm.publicapi.data;

import java.io.InputStream;
import java.math.BigInteger;

/**
 * Represents binary document content.
 * 
 * @author steveglover
 *
 */
public class BinaryDocumentContent extends AbstractDocumentContent
{
    private InputStream stream;
    private BigInteger length;

    public BinaryDocumentContent(String filename, InputStream stream, BigInteger length)
    {
        super(filename);
        this.stream = stream;
        this.length = length;
    }

    @Override
    public InputStream getInputStream()
    {
        return stream;
    }

    @Override
    public BigInteger getLength()
    {
        return length;
    }

    @Override
    public String toString()
    {
        return "BinaryDocumentContent [stream=" + stream + ", length=" + length
                + "]";
    }
}
