package org.alfresco.bm.publicapi.data;

import java.io.InputStream;

import org.apache.chemistry.opencmis.commons.data.ContentStream;

public interface DocumentContent
{
    /**
     * Get an input stream for the content.
     * 
     * Override in subclasses.
     * 
     * @return an input stream to the document content.
     */
    InputStream getInputStream();
    
    /**
     * Get a CMIS content stream for the content.
     * 
     * @return a CMIS content stream to the document content
     */
    ContentStream getContentStream();
    
    String getFilename();
}
