package org.alfresco.bm.publicapi.data;

import org.springframework.social.alfresco.api.entities.Document;

/**
 * Represents a document node i.e. cm:document.
 * 
 * @author steveglover
 *
 */
public class DocumentNode extends Node
{
    private AbstractDocumentContent content;
    private String pwcId;
    private String checkedOutBy;
    
    public DocumentNode()
    {
    }

    public String getCheckedOutBy()
	{
		return checkedOutBy;
	}

	public void setCheckedOutBy(String checkedOutBy)
	{
		this.checkedOutBy = checkedOutBy;
	}

	public void setContent(AbstractDocumentContent content)
    {
        this.content = content;
    }

    public AbstractDocumentContent getContent()
    {
        return content;
    }

    public String getPwcId()
    {
        return pwcId;
    }

    public void setPwcId(String pwcId)
    {
        this.pwcId = pwcId;
    }

    @Override
    public boolean isFolder()
    {
        return false;
    }
    
    public Document getDocument()
    {
    	Document document = new Document();
    	document.setId(getNodeId());
    	return document;
    }

    @Override
    public String toString()
    {
        return "DocumentNode [content=" + content + ", pwcId=" + pwcId
                + ", nodeId=" + nodeId + ", properties=" + properties
                + ", parents=" + parents + ", allowableActions="
                + allowableActions + ", tags=" + tags + ", comments="
                + comments + ", ratings=" + ratings + "]";
    }
}
