package org.alfresco.bm.publicapi.data;


/**
 * A public api request for a list, includes networkId, userId, skipCount and maxItems.
 * 
 * @author steveglover
 */
public class ListRequest extends Request
{
    protected Integer skipCount;
    protected Integer maxItems;

    public ListRequest()
    {
    }
    
    public ListRequest(String networkId, String runAsUserId, Integer skipCount, Integer maxItems)
    {
        super(networkId, runAsUserId);
        this.skipCount = skipCount;
        this.maxItems = maxItems;
    }

    @Override
    public String toString()
    {
        StringBuilder builder = new StringBuilder();
        builder.append("ListRequest [skipCount=");
        builder.append(skipCount);
        builder.append(", maxItems=");
        builder.append(maxItems);
        builder.append("]");
        return builder.toString();
    }

    public Integer getSkipCount()
    {
        return skipCount;
    }

    public Integer getMaxItems()
    {
        return maxItems;
    }

	public void setSkipCount(int skipCount)
	{
		this.skipCount = skipCount;
	}

	public void setMaxItems(int maxItems)
	{
		this.maxItems = maxItems;
	}
}
