package org.alfresco.bm.publicapi.data.nodematchers;

import java.util.Set;

import org.alfresco.bm.publicapi.AbstractRepositoryEventSelectorProcessor.NodeMatcher;
import org.alfresco.bm.publicapi.data.DocumentNode;
import org.alfresco.bm.publicapi.data.FolderNode;
import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;
import org.apache.chemistry.opencmis.commons.enums.Action;

public class CanCheckOutNodeMatcher implements NodeMatcher
{
    @Override
    public boolean matches(Request request, Node input)
    {
        if(input instanceof FolderNode)
        {
            return false;
        }
        else
        {
            DocumentNode doc = (DocumentNode)input;
            Set<Action> allowableActions = doc.getAllowableActions();
            // If no allowableActions, assume true (non-CMIS public api responses don't include allowableActions)
            return allowableActions == null || allowableActions.contains(Action.CAN_CHECK_OUT);
        }
    }
}
