package org.alfresco.bm.publicapi.data.nodematchers;

import java.util.Set;

import org.alfresco.bm.publicapi.AbstractRepositoryEventSelectorProcessor.NodeMatcher;
import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;
import org.apache.chemistry.opencmis.commons.enums.Action;

public class CanDeleteNodeMatcher implements NodeMatcher
{
    @Override
    public boolean matches(Request request, Node input)
    {
        Set<Action> allowableActions = input.getAllowableActions();
        // If no allowableActions, assume true (non-CMIS public api responses don't include allowableActions)
        return allowableActions == null || allowableActions.contains(Action.CAN_DELETE_OBJECT);
    }
}