package org.alfresco.bm.publicapi.data.nodematchers;

import java.util.LinkedList;
import java.util.List;

import org.alfresco.bm.publicapi.AbstractRepositoryEventSelectorProcessor.NodeMatcher;
import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class ChainingNodeMatcher implements NodeMatcher
{
	private List<NodeMatcher> chain = new LinkedList<NodeMatcher>();

	public ChainingNodeMatcher(List<NodeMatcher> chain)
	{
		this.chain = chain;
	}

	@Override
	public boolean matches(Request request, Node input)
	{
		boolean matches = true;

		for(NodeMatcher matcher : chain)
		{
			matches &= matcher.matches(request, input);
		}

		return matches;
	}
}
