package org.alfresco.bm.publicapi.data.nodematchers;

import org.alfresco.bm.publicapi.AbstractRepositoryEventSelectorProcessor.NodeMatcher;
import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

/**
 * Matches non-PWC nodes.
 * 
 * @author steveglover
 *
 */
public class CurrentNodeMatcher implements NodeMatcher
{
    @Override
    public boolean matches(Request request, Node input)
    {
    	String nodeId = input.getNodeId();
    	boolean matches = true;

    	Boolean isVersionSeriesCheckedOut = (Boolean)input.getProperty("cmis:isVersionSeriesCheckedOut");
    	if((isVersionSeriesCheckedOut != null && isVersionSeriesCheckedOut == true) || nodeId.endsWith(";pwc"))
    	{
    		matches = false; 
    	}

    	return matches;
    }
}
