package org.alfresco.bm.publicapi.data.nodematchers;

import org.alfresco.bm.publicapi.AbstractRepositoryEventSelectorProcessor.NodeMatcher;
import org.alfresco.bm.publicapi.data.DocumentNode;
import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;
import org.apache.chemistry.opencmis.commons.PropertyIds;

public class LockCheckerNodeMatcher implements NodeMatcher
{
    @Override
    public boolean matches(Request request, Node input)
    {
    	boolean matches = true;
 
    	String pwcId = null;
    	String lockType = null;
    	String checkedOutBy = null;

    	if(input instanceof DocumentNode)
    	{
    		DocumentNode docNode = (DocumentNode)input;
    		pwcId = docNode.getPwcId();
    		checkedOutBy = docNode.getCheckedOutBy();
    	}
    	else
    	{
        	lockType = (String)input.getProperty("cm:lockType");
        	checkedOutBy = (String)input.getProperty(PropertyIds.VERSION_SERIES_CHECKED_OUT_BY);
    	}

		if(pwcId != null || lockType != null)
		{
			// checked out
			if(checkedOutBy == null || !checkedOutBy.equals(request.getRunAsUserId()))
			{
				// don't know which user or different user to checkout user
    			matches = false;
			}
		}

        return matches;
    }
}
