package org.alfresco.bm.publicapi.process;

import java.util.Map;

import org.alfresco.bm.publicapi.data.AbstractDocumentContent;
import org.alfresco.bm.publicapi.data.DocumentNode;
import org.alfresco.bm.publicapi.data.Request;

public class CheckinObjectRequest extends Request
{
    private DocumentNode node;
    private AbstractDocumentContent content;
    private boolean major;
    private Map<String, ?> properties;
    private String checkinComment;

    public CheckinObjectRequest(String networkId, String runAsUserId, DocumentNode node, AbstractDocumentContent content, boolean major,
            Map<String, ?> properties, String checkinComment)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.content = content;
        this.major = major;
        this.properties = properties;
        this.checkinComment = checkinComment;
    }

    public DocumentNode getNode()
    {
        return node;
    }
    
    public AbstractDocumentContent getContent() {
        return content;
    }

    public boolean isMajor() {
        return major;
    }

    public Map<String, ?> getProperties() {
        return properties;
    }

    public String getCheckinComment() {
        return checkinComment;
    }

    @Override
    public String toString()
    {
        return "CheckinObjectRequest [node=" + node + ", content="
                + content + ", major=" + major + ", properties=" + properties
                + ", checkinComment=" + checkinComment + "]";
    }
}
