package org.alfresco.bm.publicapi.process;

import java.io.Serializable;
import java.util.Map;

import org.alfresco.bm.publicapi.data.FolderNode;
import org.alfresco.bm.publicapi.data.Request;

public class CreateFolderWithParentIdRequest extends Request
{
    private FolderNode parentFolder;
    private Map<String, Serializable> properties;
    private String type;

    public CreateFolderWithParentIdRequest(String networkId, String runAsUserId, FolderNode parentFolder, String type, Map<String, Serializable> properties)
    {
        super(networkId, runAsUserId);
        this.type = type;
        this.parentFolder = parentFolder;
        this.properties = properties;
    }

    public String getType()
    {
        return type;
    }

    public FolderNode getParentFolder()
    {
        return parentFolder;
    }
    
    public Map<String, Serializable> getProperties()
    {
        return properties;
    }

    @Override
    public String toString()
    {
        return "CreateFolderWithParentIdRequest [parentFolder="
                + parentFolder + ", properties=" + properties + ", type="
                + type + "]";
    }
}
