package org.alfresco.bm.publicapi.process;

import java.io.Serializable;
import java.util.Map;

import org.alfresco.bm.publicapi.data.Path;
import org.alfresco.bm.publicapi.data.Request;

public class CreateFolderWithParentPathRequest extends Request
{
    private Path parentFolderPath;
    private Map<String, Serializable> properties;
    private String type;

    public CreateFolderWithParentPathRequest(String networkId, String runAsUserId, Path parentFolderPath, String type, Map<String, Serializable> properties)
    {
        super(networkId, runAsUserId);
        this.type = type;
        this.parentFolderPath = parentFolderPath;
        this.properties = properties;
    }
    
    public String getType()
    {
        return type;
    }
    
    public Path getParentFolderPath()
    {
        return parentFolderPath;
    }

    public Map<String, Serializable> getProperties()
    {
        return properties;
    }

    @Override
    public String toString()
    {
        return "CreateFolderWithParentPathRequest [parentFolderPath="
                + parentFolderPath + ", properties=" + properties + ", type="
                + type + "]";
    }
}
