package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class CreateNodeRatingRequest extends Request
{
    private Node node;
    private String ratingId;
    private Object rating;

    public CreateNodeRatingRequest(String networkId, String runAsUserId, Node node, String ratingId, Object rating)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.ratingId = ratingId;
        this.rating = rating;
    }

    public String getRatingId()
    {
        return ratingId;
    }

    public Object getRating()
    {
        return rating;
    }
    
    public Node getNode()
    {
        return node;
    }

    @Override
    public String toString()
    {
        return "CreateNodeRatingRequest [ratingId=" + ratingId
                + ", rating=" + rating
                + ", node=" + node + "]";
    }
}
