package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;
import org.springframework.social.alfresco.api.entities.Role;

public class CreateSiteMemberRequest extends Request
{
    private String siteId;
    private String userId;
    private Role role;

    public CreateSiteMemberRequest(String networkId, String runAsUserId, String siteId, String userId, Role role)
    {
        super(networkId, runAsUserId);
        this.siteId = siteId;
        this.userId = userId;
        this.role = role;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public String getUserId()
    {
        return userId;
    }

    public Role getRole()
    {
        return role;
    }

	@Override
	public String toString()
	{
		return "CreateSiteMemberRequest [siteId=" + siteId + ", userId="
				+ userId + ", role=" + role + ", networkId=" + networkId
				+ ", runAsUserId=" + runAsUserId + "]";
	}
}
