package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class DeleteNodeRequest extends Request
{
    private static final long serialVersionUID = 1723683933969981712L;

    private Node node;
    private Boolean allVersions;

    public DeleteNodeRequest(String networkId, String runAsUserId, Node node, Boolean allVersions)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.allVersions = allVersions;
    }

    public Node getNode()
    {
        return node;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

    public Boolean getAllVersions()
    {
        return allVersions;
    }

    @Override
    public String toString()
    {
        return "DeleteNodeRequest [node=" + node + ", allVersions="
                + allVersions + "]";
    }    
}
