package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.event.AbstractEventProcessor;
import org.alfresco.bm.event.Event;
import org.alfresco.bm.event.EventResult;
import org.alfresco.bm.session.SessionService;

/**
 * End of public api "session" event processor, marks the session as ended in Mongo.
 * 
 * @author steveglover
 *
 */
public class EndSession extends AbstractEventProcessor
{
	private SessionService sessionService;

	public EndSession(SessionService sessionService)
	{
		this.sessionService = sessionService;
	}

    @Override
    public EventResult processEvent(Event event) throws Exception
    {
    	String sessionId = event.getSessionId();
	    if(sessionId != null)
	    {
	        sessionService.endSession(sessionId);
	    }
	    
	    EventResult result = new EventResult(null, true);
	    return result;
    }
}
