package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.FolderNode;
import org.alfresco.bm.publicapi.data.ListRequest;
import org.apache.chemistry.opencmis.commons.enums.IncludeRelationships;

public class GetCheckedOutDocsRequest extends ListRequest
{
	private FolderNode folder;
	private String filter;
	private String orderBy;
	private Boolean includeAllowableActions;
	private IncludeRelationships includeRelationships;
	private String renditionFilter;
    
	public GetCheckedOutDocsRequest(String networkId, String runAsUserId,
			int skipCount, int maxItems, FolderNode folder, String filter,
			String orderBy, Boolean includeAllowableActions,
			IncludeRelationships includeRelationships, String renditionFilter)
	{
		super(networkId, runAsUserId, skipCount, maxItems);
		this.folder = folder;
		this.filter = filter;
		this.orderBy = orderBy;
		this.includeAllowableActions = includeAllowableActions;
		this.includeRelationships = includeRelationships;
		this.renditionFilter = renditionFilter;
	}

	public FolderNode getFolder()
	{
		return folder;
	}

	public String getFilter()
	{
		return filter;
	}

	public String getOrderBy()
	{
		return orderBy;
	}

	public Boolean getIncludeAllowableActions()
	{
		return includeAllowableActions;
	}

	public IncludeRelationships getIncludeRelationships()
	{
		return includeRelationships;
	}

	public String getRenditionFilter()
	{
		return renditionFilter;
	}

	@Override
	public String toString()
	{
		return "GetCheckedOutDocsRequest [folder=" + folder + ", filter="
				+ filter + ", orderBy=" + orderBy
				+ ", includeAllowableActions=" + includeAllowableActions
				+ ", includeRelationships=" + includeRelationships
				+ ", renditionFilter=" + renditionFilter + ", maxItems="
				+ maxItems + ", skipCount=" + skipCount + "]";
	}
}
