package org.alfresco.bm.publicapi.process;

import java.util.Set;

import org.alfresco.bm.publicapi.data.FolderNode;
import org.alfresco.bm.publicapi.data.Request;
import org.apache.chemistry.opencmis.commons.enums.IncludeRelationships;

public class GetChildrenRequest extends Request
{
    private FolderNode folder;
    private Integer depth;
    private IncludeRelationships includeRelationships;
    private Boolean includeAcls;
    private Set<String> propertyFilter;
    private Boolean includePolicies;

    public GetChildrenRequest(String networkId, String runAsUserId, FolderNode folder, Integer depth, IncludeRelationships includeRelationships,
            Boolean includeAcls, Set<String> propertyFilter, Boolean includePolicies)
    {
        super(networkId, runAsUserId);
        this.folder = folder;
        this.depth = depth;
        this.includeAcls = includeAcls;
        this.includeRelationships = includeRelationships;
        this.propertyFilter = propertyFilter;
        this.includePolicies = includePolicies;
    }

    public FolderNode getFolder()
    {
        return folder;
    }
    
    public Integer getDepth()
    {
        return depth;
    }

    public IncludeRelationships getIncludeRelationships()
    {
        return includeRelationships;
    }

    public Boolean getIncludeAcls()
    {
        return includeAcls;
    }

    public Set<String> getPropertyFilter()
    {
        return propertyFilter;
    }

    public Boolean getIncludePolicies()
    {
        return includePolicies;
    }

    @Override
    public String toString()
    {
        return "GetDescendantsRequest [folder=" + folder + ", depth="
                + depth + ", includeRelationships=" + includeRelationships
                + ", includeAcls=" + includeAcls + ", propertyFilter="
                + propertyFilter + ", includePolicies = " + includePolicies + "]";
    }
}
