package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.ListRequest;
import org.springframework.social.alfresco.api.entities.Activity.Who;

public class GetPersonActivitiesRequest extends ListRequest
{
    private String personId;
    private Who who;
    private String siteId;
    
    public GetPersonActivitiesRequest(String networkId, String runAsUserId, String personId, Who who, String siteId, int skipCount, int maxItems)
    {
        super(networkId, runAsUserId, skipCount, maxItems);
        this.personId = personId;
        this.who = who;
        this.siteId = siteId;
    }

    public String getPersonId()
    {
        return personId;
    }

    public Who getWho()
    {
        return who;
    }

    public String getSiteId()
    {
        return siteId;
    }

    @Override
    public String toString()
    {
        return "GetPersonActivitiesRequest [personId=" + personId + ", who="
                + who + ", siteId=" + siteId + "]";
    }

}
