package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class RemoveNodeRatingRequest extends Request
{
    private Node node;
    private String ratingId;
    
    public RemoveNodeRatingRequest(String networkId, String runAsUserId, Node node, String ratingId)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.ratingId = ratingId;
    }

    public Node getNode()
    {
        return node;
    }

    public String getRatingId() 
    {
        return ratingId;
    }

    @Override
    public String toString()
    {
        return "RemoveNodeRatingRequest [node=" + node + ", ratingId="
                + ratingId + "]";
    }    
}
