package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class UpdateCommentRequest extends Request
{
    private Node node;
    private String commentId;
    private String content;
    
    public UpdateCommentRequest(String networkId, String runAsUserId, Node node, String commentId, String content)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.commentId = commentId;
        this.content = content;
    }

    public Node getNode()
    {
        return node;
    }

    public String getCommentId()
    {
        return commentId;
    }

    public String getContent()
    {
        return content;
    }

    @Override
    public String toString()
    {
        return "UpdateCommentRequest [node=" + node + ", commentId="
                + commentId + ", content=" + content + "]";
    }
    

}
