package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;
import org.alfresco.bm.publicapi.data.AbstractDocumentContent;
import org.alfresco.bm.publicapi.data.DocumentNode;

public class UpdateContentRequest extends Request
{
    private DocumentNode node;
    private AbstractDocumentContent content;

    public UpdateContentRequest(String networkId, String runAsUserId, DocumentNode node, AbstractDocumentContent content)
    {
        super(networkId, runAsUserId);
        this.node = node;
        this.content = content;
    }

    public DocumentNode getNode()
    {
        return node;
    }

    public AbstractDocumentContent getContent()
    {
        return content;
    }

    @Override
    public String toString()
    {
        return "UpdateContentRequest [node=" + node + ", content="
                + content + "]";
    }
}
