package org.alfresco.bm.publicapi.process;

import java.util.Map;

import org.alfresco.bm.publicapi.data.Node;
import org.alfresco.bm.publicapi.data.Request;

public class UpdatePropertiesRequest extends Request
{
	private Node node;
	private Map<String, Object> properties;

	protected UpdatePropertiesRequest(String networkId, String runAsUserId, Node node, Map<String, Object> properties)
	{
		super(networkId, runAsUserId);
		this.node = node;
		this.properties = properties;
	}

	public Node getNode()
	{
		return node;
	}
	
	public Map<String, Object> getProperties()
	{
		return properties;
	}

	@Override
	public String toString()
	{
		return "UpdatePropertiesRequest [node=" + node + ", properties="
				+ properties + "]";
	}
}
