package org.alfresco.bm.publicapi.process;

import org.alfresco.bm.publicapi.data.Request;
import org.springframework.social.alfresco.api.entities.Member;

public class UpdateSiteMemberRequest extends Request
{
    private String siteId;
    private String memberId;
    private Member member;

    public UpdateSiteMemberRequest(String networkId, String runAsUserId, String siteId, String memberId, Member member)
    {
        super(networkId, runAsUserId);
        this.siteId = siteId;
        this.memberId = memberId;
        this.member = member;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public String getMemberId()
    {
        return memberId;
    }

    public Member getMember()
    {
        return member;
    }

    @Override
    public String toString()
    {
        return "UpdateSiteMemberRequest [siteId=" + siteId + ", memberId="
                + memberId + ", member=" + member + "]";
    }
}
